echo off
echo customizing...

REM C:\WINDOWS\system32\cmd.exe /k "C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools\DandISetEnv.bat"
SET DEPLOY_ENV_PATH="C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Deployment Tools"

echo DEPLOY_ENV_PATH=%DEPLOY_ENV_PATH%
SET WORKING_DIR_PATH=%1
echo WORKING_DIR_PATH=%WORKING_DIR_PATH%
SET IMAGE_PATH=%2
echo IMAGE_PATH=%IMAGE_PATH%
SET OUTPUT_MODE=%3
echo OUTPUT_MODE=%OUTPUT_MODE%
SET TARGET_PARTITION=%4
echo TARGET_PARTITION=%TARGET_PARTITION%
SET NO_CONFIRM=%5
echo NO_CONFIRM=%NO_CONFIRM%

REM set env
echo setting env
call %DEPLOY_ENV_PATH%\DandISetEnv.bat

rem dismount previous image
echo dismount previous image in case of image conflict, please ignore error message...
dism /unmount-wim /mountdir:"%IMAGE_PATH%\mount" /discard

REM mount image
echo mounting image
Dism /Mount-Image /ImageFile:%IMAGE_PATH%\media\sources\boot.wim /index:1 /MountDir:%IMAGE_PATH%\mount

REM support jp
echo adding japanese env
Dism /Add-Package /Image:"%IMAGE_PATH%\mount" /PackagePath:"C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\ja-jp\lp.cab"
Dism /Add-Package /Image:"%IMAGE_PATH%\mount" /PackagePath:"C:\Program Files (x86)\Windows Kits\10\Assessment and Deployment Kit\Windows Preinstallation Environment\x86\WinPE_OCs\WinPE-FontSupport-JA-JP.cab"
Dism /Set-AllIntl:ja-JP /Image:"%IMAGE_PATH%\mount"

REM copy dm to image dir and set auto-start
echo deploying delete master
md "%IMAGE_PATH%\mount\DeleteMaster"
xcopy %WORKING_DIR_PATH%\DeleteMaster.exe "%IMAGE_PATH%\mount\DeleteMaster" /y
xcopy %WORKING_DIR_PATH%\config.txt "%IMAGE_PATH%\mount\DeleteMaster" /y
xcopy %WORKING_DIR_PATH%\Winpeshl.ini "%IMAGE_PATH%\mount\Windows\System32" /y

REM dismount image
echo dismounting image
Dism /Unmount-Image /mountdir:"%IMAGE_PATH%\mount" /commit

if "%OUTPUT_MODE%" == "/UFD" (
	REM make usb image
	echo make usb image
	if "%NO_CONFIRM%" == "y" (
		echo y|MakeWinPEMedia %OUTPUT_MODE% %IMAGE_PATH% %TARGET_PARTITION%
	) else (
		MakeWinPEMedia %OUTPUT_MODE% %IMAGE_PATH% %TARGET_PARTITION%	
	)
) else if "%OUTPUT_MODE%" == "/ISO" (
	REM make iso image
	echo make iso image
	if "%NO_CONFIRM%" == "y" (
		echo y|MakeWinPEMedia %OUTPUT_MODE% %IMAGE_PATH% %TARGET_PARTITION%
	) else (
		MakeWinPEMedia %OUTPUT_MODE% %IMAGE_PATH% %TARGET_PARTITION%	
	)
)

echo finished
exit